%-------------------------------------------------------------------------------
%                Required Packages
%-------------------------------------------------------------------------------
\usepackage{booktabs}
\usepackage{multirow}
\usepackage{longtable}
\usepackage[table]{xcolor}
\usepackage[shortlabels]{enumitem}
\usepackage{ifthen}
\usepackage{caption}


%Contador para las tareas
\newcounter{tarctr}
\setcounter{tarctr}{0}

%-------------------------------------------------------------------------------
%                \addtitle command: add the title of the tarea
%-------------------------------------------------------------------------------

\newcommand{\reftar}[1]{%
	\texttt{[TAR-\ref{#1}]}%
}

\newcommand\addtitletar[2]{%
	\hline \rowcolor{gray!15}  %
	\multicolumn{2}{|c|}{%
		\refstepcounter{tarctr}\label{#2}%
		\texttt{\textbf{TAR-\arabic{tarctr}}} \textbf{#1}%
	} \\ \hline
}

\newcommand\tabularheadtar{\begin{longtable*}{|lp{10cm}|}
	}

	%-------------------------------------------------------------------------------
	%                \addfield command: add a property of the tarea
	%-------------------------------------------------------------------------------
	\newcommand\addfieldtar[2]{\textit{#1} &#2\\ \hline  }

	%-------------------------------------------------------------------------------
	%                \additemizedfield command: add a field with an item list
	%-------------------------------------------------------------------------------
	\newcommand\additemizedfieldtar[2]{
		\begin{minipage}[t][][t]{2cm}
			\textit{#1}
			\vspace{1.3ex}
		\end{minipage}%
		&
		\begin{minipage}[t][][t]{10cm}
			\begin{itemize}[leftmargin=*,nosep]
				#2
			\end{itemize}
			\vspace{1.5ex}
		\end{minipage}\\ \hline}

	%-------------------------------------------------------------------------------
	%                Definition of the taretive environment
	%-------------------------------------------------------------------------------
	\newenvironment{tarea}{\tabularheadtar}
	{\end{longtable*}}
